<?php if (!defined('HTMLY')) die('HTMLy'); ?>
<!DOCTYPE html>
<html lang="<?php echo blog_language();?>">
<head>
<?php echo head_contents();?>
<?php echo $metatags;?>
<link href="https://cdn.jsdelivr.net/npm/bootstrap@5.3.0/dist/css/bootstrap.min.css" rel="stylesheet">
<style>
    body {
        background-color: #f8f5f2;
    }
    .navbar {
        background-color: #fff;
    }
    .navbar-brand {
        font-size: 24px;
        color: #6c757d;
        font-weight: bold;
    }
    .navbar-nav .nav-link {
        color: #6c757d;
        font-size: 16px;
    }
    .container {
        max-width: 900px;
        margin: auto;
    }
    .blog-title {
        font-size: 40px;
        font-weight: bold;
    }
    .blog-entry {
        border-bottom: 1px solid #ddd;
    }
    .blog-entry h2 {
        font-size: 22px;
        font-weight: bold;
    }
    .blog-entry h2 a {
        color: #333; /* Dark color */
        text-decoration: none; /* Remove default underline */
        transition: all 0.3s ease;
    }
    .blog-entry h2 a:hover {
        text-decoration: underline; /* Add underline when hovered */
    }
    .blog-entry p {
        font-size: 16px;
        color: #6c757d;
    }
    .post-title {
        font-size: 40px;
        font-weight: bold;
    }
    .post-meta {
        font-size: 16px;
        color: #6c757d;
    }
    .post-content {
        font-size: 18px;
        line-height: 1.6;
    }
    .footer {
        font-size: 14px;
        color: #6c757d;
    }
</style>
</head>
<body>
    <?php if (login()):?>
        <?php echo toolbar();?>
    <?php endif;?>
    <nav class="navbar navbar-expand-lg navbar-light p-2">
        <div class="container">
            <a class="navbar-brand" href="<?php echo site_url();?>"><?php echo blog_title();?></a>
            <button class="navbar-toggler" type="button" data-bs-toggle="collapse" data-bs-target="#navbarNav">
                <span class="navbar-toggler-icon"></span>
            </button>
            <div class="collapse navbar-collapse" id="navbarNav">
                <?php echo menu('navbar-nav ms-auto');?>
            </div>
        </div>
    </nav>

    <div class="container content pt-4 mt-3">
        <div class="row">
            <div class="col-lg-10 mx-auto">
                <?php echo content();?>
            </div>
        </div> 
    </div>

    <div class="footer text-center pt-4 pb-4 mt-5">
        <p><?php echo copyright();?></p>
    </div>

    <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.3.0/dist/js/bootstrap.bundle.min.js"></script>
</body>
</html>